Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.calendar
Class DeleteMeetingDialogModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.DialogModel
              portlets.compoze.groupware.model.calendar.DeleteMeetingDialogModel

All Implemented Interfaces:
  java.io.Serializable

public class DeleteMeetingDialogModel
extends DialogModel
implements java.io.Serializable

This class represents the data model for the delete meeting dialog popup (`delete_meeting_collab_dialog.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.DialogModel
`DIALOG_SESSION_ATTRIBUTE`

Constructor Summary
`DeleteMeetingDialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, GroupwarePreferences groupwarePrefs, java.lang.String sSkinPath)` Constructor.

Method Summary
`boolean` | `isOrganizer()` Gets the organizer flag of the meeting to delete.
`boolean` | `isRepeating()` Gets the repeating flag of the meeting to delete.
`void` | `setIsOrganizer(boolean bIsOrganizer)` Sets the organizer flag of the meeting to delete.
`void` | `setIsRepeating(boolean bIsRepeating)` Sets the repeating flag of the meeting to delete.

Methods inherited from class portlets.compoze.groupware.model.DialogModel
`getCompozeCSS, getCompozeImages, getCurrentSkinPath`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteMeetingDialogModel

    public DeleteMeetingDialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                    GroupwarePreferences groupwarePrefs,
                                    java.lang.String sSkinPath)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `sSkinPath` - the skin path (may not be `null`)

Method Detail

### setIsRepeating

    public void setIsRepeating(boolean bIsRepeating)

  Sets the repeating flag of the meeting to delete.

  Parameters:
    `bIsRepeating` - `true` if the meeting to delete is repeating; `false` otherwise

### isRepeating

    public boolean isRepeating()

  Gets the repeating flag of the meeting to delete.

  Returns:
    `true` if the meeting to delete is repeating; `false` otherwise

### setIsOrganizer

    public void setIsOrganizer(boolean bIsOrganizer)

  Sets the organizer flag of the meeting to delete.

  Parameters:
    `bIsOrganizer` - `true` if the user is the organizer of the meeting; `false` otherwise

### isOrganizer

    public boolean isOrganizer()

  Gets the organizer flag of the meeting to delete.

  Returns:
    `true` if the user is the organizer of the meeting; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.